package it.integry.integrywmsnative.core.REST.model;

public class MailRequestDTO {

    private String from;
    private String fromName;
    private String to;
    private String replyTo;
    private String replyToName;
    private String cc;
    private String ccn;
    private String subject;
    private String msgText;
    private boolean isHtml = false;
    private boolean isDebug = false;

    public String getFrom() {
        return from;
    }

    public MailRequestDTO setFrom(String from) {
        this.from = from;
        return this;
    }

    public String getFromName() {
        return fromName;
    }

    public MailRequestDTO setFromName(String fromName) {
        this.fromName = fromName;
        return this;
    }

    public String getTo() {
        return to;
    }

    public MailRequestDTO setTo(String to) {
        this.to = to;
        return this;
    }

    public String getReplyTo() {
        return replyTo;
    }

    public MailRequestDTO setReplyTo(String replyTo) {
        this.replyTo = replyTo;
        return this;
    }

    public String getReplyToName() {
        return replyToName;
    }

    public MailRequestDTO setReplyToName(String replyToName) {
        this.replyToName = replyToName;
        return this;
    }

    public String getCc() {
        return cc;
    }

    public MailRequestDTO setCc(String cc) {
        this.cc = cc;
        return this;
    }

    public String getCcn() {
        return ccn;
    }

    public MailRequestDTO setCcn(String ccn) {
        this.ccn = ccn;
        return this;
    }

    public String getSubject() {
        return subject;
    }

    public MailRequestDTO setSubject(String subject) {
        this.subject = subject;
        return this;
    }

    public String getMsgText() {
        return msgText;
    }

    public MailRequestDTO setMsgText(String msgText) {
        this.msgText = msgText;
        return this;
    }

    public boolean isHtml() {
        return isHtml;
    }

    public MailRequestDTO setHtml(boolean html) {
        isHtml = html;
        return this;
    }

    public boolean isDebug() {
        return isDebug;
    }

    public MailRequestDTO setDebug(boolean debug) {
        isDebug = debug;
        return this;
    }
}
